%global orig_name rest
Name:		compat-rest
Version:	0.8.1
Release:	9
Summary:	A library for access to RESTful web services
License:	LGPLv2
URL:		https://www.gnome.org
Source0:	https://download.gnome.org/sources/%{orig_name}/0.8/%{orig_name}-%{version}.tar.xz

Patch0:		rest-0.8.0-fix-the-XML-test.patch
Patch1:		backport-xml-Don-t-crash-parsing-empty-XML-string.patch

BuildRequires:	glib2-devel libsoup-devel libxml2-devel gobject-introspection-devel
BuildRequires:  gtk-doc autoconf automake libtool libxslt

%description
This library has been designed to make it easier to access web services that
claim to be "RESTful". It comprises of two parts: the first aims to make it
easier to make requests by providing a wrapper around libsoup, the second
aids with XML parsing by wrapping libxml2.

%package devel
Summary: Development files for rest
Requires: %{name} = %{version}-%{release}

%description devel
This package is the development files for rest.

%package_help

%prep
%autosetup -n %{orig_name}-%{version} -p1

%build
autoreconf -fiv
%configure --enable-gtk-doc --enable-introspection=yes
%make_build


%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_libdir}/librest-0.7.so.*
%{_libdir}/librest-extras-0.7.so.*
%{_libdir}/girepository-1.0/Rest-*
%{_libdir}/girepository-1.0/RestExtras-*


%files devel
%defattr(-,root,root)
%{_includedir}/rest-0.7
%{_libdir}/librest-0.7.so
%{_libdir}/librest-extras-0.7.so
%{_datadir}/gir-1.0/Rest-*
%{_datadir}/gir-1.0/RestExtras-*
%{_libdir}/pkgconfig/rest*

%files help
%defattr(-,root,root)
%doc README
%{_datadir}/gtk-doc/html/rest-0.7

%changelog
* Mon Mar 27 2023 zhouyihang <zhouyihang3@h-partners.com> - 0.8.1-9
- Type:requirements
- Id:NA
- SUG:NA
- DESC:add old version of rest for compatibility 

* Wed Nov 09 2022 zhouyihang <zhouyihang3@h-partners.com> - 0.8.1-8
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:xml do not crash parsing empty XML string

* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.1-7
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.1-6
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec, add help package

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.1-5
- Package init
